Bug 178025 - wvdial only supports five alternate phone numbers
wvdial only supports five alternate phone numbers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wvdial (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 09:57 EST by Vladimir Mencl
Modified: 2008-02-13 04:50 EST (History)
0 users

See Also:
Fixed In Version: wvdial-1.60-4.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 04:50:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extend the limit of alternate phone numbers from 4 to 9 (3.18 KB, patch)
2006-01-17 10:05 EST, Vladimir Mencl
no flags Details | Diff

  None (edit)
Description Vladimir Mencl 2006-01-17 09:57:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
wvdial only supports five alternate phone numbers

The primary phone number is specified via the "Phone" entry in wvdial.conf
Four alternate phone numbers can be specified via Phone1 - Phone4 entries.

Unfortunately, I am connecting to a system which has 6 alternate numbers - and sometimes, almost all of them are busy and I need to try out all of them in order to connect.

I have created a patch extending the limit to 10 numbers - adding support for Phone5 - Phone9.

I know that this is not a systematic solution, however, I have not attempted to modify wvdial to support an arbitrary number of phone numbers. 

This new limit only seems "more natural" to me, as the supported configuration entries are Phone1 - Phone9 - all single-digit names.

While the reasoning for this solution is humble and based on my situation, I expect that while the limit of 5 phone numbers has been exceeded in my case, the limit of 10 phone numbers is already unlikely to exceed.

The solution works for me - and I am offering to share it with others.

You are welcome to download the patch at 
http://nenya.ms.mff.cuni.cz/~mencl/wvdial-1.54-9nums.patch

(I will also add it as an attachment through a comment to this bug).


Version-Release number of selected component (if applicable):
wvdial-1.54.0-5

How reproducible:
Always

Steps to Reproduce:
1. Specify more than 5 phone numbers in wvdial.conf
2. Numbers Phone, Phone1, .. Phone4 work. Phone5 is ignored.
3. Dial
  

Actual Results:  Number specified as Phone5 is ignored and wvdial retries from the first number if Phone and Phone1-4 are busy.


Expected Results:  Number Phone5 dialed.

Additional info:

Patch extending the limit of phone numbers to 10 is available at

http://nenya.ms.mff.cuni.cz/~mencl/wvdial-1.54-9nums.patch
Comment 1 Vladimir Mencl 2006-01-17 10:05:20 EST
Created attachment 123295 [details]
Extend the limit of alternate phone numbers from 4 to 9

Extend the limit of alternate phone numbers from 4 to 9

Manpage is also updated in the patch.
Comment 2 Christian Iseli 2007-01-22 06:01:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Vladimir Mencl 2007-01-22 15:48:27 EST
Still applies to FC6.
Comment 4 Ondrej Vasik 2007-10-12 07:04:32 EDT
Ok, seems to be reasonable to have 10 phone numbers instead of 5. I don't like
this kind of extending changes (unlimited number would be better) - but it seems
to be easiest solution.

Anyway - I will not backport the patch to FC6, therefore changing version to devel.
Comment 5 Ondrej Vasik 2008-02-13 04:50:03 EST
Used a bit modified your patch(few rejects because of changes between 1.54 and
1.60). Built as wvdial-1.60-4.fc9 , closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.